<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start password.jsp -->
<p class="instructions"><bean:message key="accountPassword.instructions" bundle="/customer"/></p>

	<c:choose>
		<c:when test="${empty sessionScope.user.customer && requestScope.originalRequest ne '/CheckoutExpiredPassword.do'}">
			<form id="accountPasswordForm" name="registerForm" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/LoginAndUpdatePassword.do")%>" method="post">
				<c:if test="${!empty param.rememberMe}"><input type="hidden" name="rememberMe" value="on"/></c:if>
		</c:when>
		<c:when test="${empty sessionScope.user.customer && requestScope.originalRequest eq '/CheckoutExpiredPassword.do'}">
			<form id="accountPasswordForm" name="registerForm" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/CheckoutLoginAndUpdatePassword.do")%>" method="post">
				<c:if test="${!empty param.rememberMe}"><input type="hidden" name="rememberMe" value="on"/></c:if>
		</c:when>
		<c:otherwise>
			<form id="accountPasswordForm" name="registerForm" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/UpdatePassword.do")%>" method="post">
		</c:otherwise>
	</c:choose>

	<%--Cross-site request forgery token--%>
	<html:hidden name="updatePasswordForm" property="csrfToken" value="${sessionScope.csrfToken}"/>
	
	<%--User name/email field--%>
	<label for="loginUserName">
		<c:if test="${keepUserNameAndEmailInSync eq '1'}">
			<bean:message key="customer.email" bundle="/customer"/>:
		</c:if>
		<c:if test="${keepUserNameAndEmailInSync ne '1'}">
			<bean:message key="customer.userName" bundle="/customer"/>:
		</c:if>
	</label><br />
	<html:text styleId="loginUserName" styleClass="textbox" name="updatePasswordForm" property="userName"/><br />
	
	<%--Current Password field--%>
	<label for="loginCurrentPassword">
		<bean:message key="customer.currentPassword" bundle="/customer"/>:
	</label><br />
	<html:password styleId="loginCurrentPassword" styleClass="textbox" name="updatePasswordForm" property="currentPassword"/><br />
	
	<%--Password field--%>
	<label for="loginDecryptedPassword">
		<bean:message key="customer.new Password" bundle="/customer"/>:
	</label><br />
	<html:password styleId="loginDecryptedPassword" styleClass="textbox" name="updatePasswordForm" property="decryptedPassword"/><br />
	
	<%--Confirm Password field--%>
	<label for="confirmPassword">
		<bean:message key="customer.confirmPassword" bundle="/customer"/>:
	</label><br />
	<html:password styleId="confirmPassword" styleClass="textbox" name="updatePasswordForm" property="confirmPassword"/><br />
	
	<%--Submit button--%>
	<span id="accountPasswordButton" class="buttonWrap"><input type="submit" class="button" value="<bean:message key="accountPassword.button" bundle="/customer"/>" /></span>

</form>
<!-- End password.jsp -->
