<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start comboFormLayout.jsp -->
<script language="JavaScript" type="text/javascript">
	<!--
		var submitcount=0;
		function checkSubmitOnce() {
		      if (submitcount == 0) {
		          submitcount++;
		      	  return true;
		      } else {
		          alert("<bean:message key="checkout.submitOnce" bundle="/order"/>");
		      	  return false;
		      }
		}
	//-->
</script>
<h1><bean:message key="checkoutCombo.headline" bundle="/order" /></h1>
<p class="instructions"><bean:message key="checkoutCombo.instructions" bundle="/order" /></p>

<%--Checkout coupon form--%>
<c:if test="${settings.map.applyDiscounts eq 1 && settings.map.showCouponFormAtCheckout eq 1}">
	<form action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/CheckoutCoupon.do")%>" method="post">
		<tiles:insert attribute="couponFormGuts" />
	</form>
</c:if>

<%--Address, shipping and payment form--%>
<form id="addressesForm" name="addressesForm" class="centeredForm" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/CheckoutCombo.do")%>" method="post" <c:if test="${settings.map.displayCheckoutConfirm eq '0'}"> onSubmit="return checkSubmitOnce()"</c:if>>

	<input type="hidden" name="submittedForm" value="checkoutComboShipping" />
	
	<%--Addresses--%>
	<c:if var="displayDontSaveCheckbox" scope="request" test="${!empty sessionScope.user.customer}"/>
	<c:choose>
		<c:when test="${settings.map.allowAddressBook eq '1' and !empty user.customer and !empty user.customer.customerAddressCollection}">
			<c:set var="showShipToThisAddress" scope="request" value="${true}"/>
			<fieldset id="billingAddressFields" class="sideBySide">
				<legend><bean:message key="orderForm.billingHeadline" bundle="/order"/></legend>
				<html:hidden name="addressForm" property="csrfToken" value="${sessionScope.csrfToken}"/>
				<tiles:insert attribute="billingFormGuts"/>
			</fieldset>
			<tiles:insert page="/WEB-INF/layouts/default/order/deliveryFormJs.jsp"/>
			<fieldset id="deliveryAddressFields" class="sideBySide">
				<legend><bean:message key="addressBook.checkoutDeliveryHeadline" bundle="/customer"/></legend>
				<div id="addressBookDisplay">&nbsp;</div>
				<div id="addressBookCheckoutNew">
					<html:checkbox styleId="deliveryUseBilling" styleClass="checkbox" name="addressForm" property="deliveryUseBilling" onclick="javascript:deliverToBillingAddress()"/>&nbsp;<label id="deliveryUseBillingLabel" for="deliveryUseBilling" class="plain"><bean:message key="orderForm.deliveryUseBilling" bundle="/order"/></label>
					<hr class="formSeparator" />
					<tiles:insert attribute="deliveryFormGuts" />
					<c:if test="${showShipToThisAddress}">
						<label for="addToAddressBookCheckbox">&nbsp;</label>
						<input type="hidden" id="addToAddressBookCheckbox" name="addToAddressBook" value="1"/>
					</c:if>
				</div>	
			</fieldset>
		</c:when>
		<c:otherwise>
			<c:if test="${settings.map.allowAddressBook eq '1'}">
				<input type="hidden" name="customerAddressID" value="" />
				<input type="hidden" name="addToAddressBook" value="1" />
			</c:if>
			<fieldset id="billingAddressFields" class="sideBySide">
				<legend><bean:message key="orderForm.billingHeadline" bundle="/order"/></legend>
				<html:hidden name="addressForm" property="csrfToken" value="${sessionScope.csrfToken}"/>
				<tiles:insert attribute="billingFormGuts"/>
			</fieldset>
			<tiles:insert page="/WEB-INF/layouts/default/order/deliveryFormJs.jsp"/>
			<fieldset id="deliveryAddressFields" class="sideBySide">
				<legend><bean:message key="orderForm.deliveryHeadline" bundle="/order"/></legend>
				<html:checkbox styleId="deliveryUseBilling" styleClass="checkbox" name="addressForm" property="deliveryUseBilling" onclick="javascript:deliverToBillingAddress()"/>&nbsp;<label id="deliveryUseBillingLabel" for="deliveryUseBilling" class="plain"><bean:message key="orderForm.deliveryUseBilling" bundle="/order"/></label>
				<hr class="formSeparator" />
				<tiles:insert attribute="deliveryFormGuts" />
			</fieldset>
		</c:otherwise>
	</c:choose>
	<br/>
	
	<%--Emailer add subscriber opt-in prompt--%>
	<ssc:insert page="/WEB-INF/layouts/default/order/emailerOptInPrompt.jsp"/>
	
	<%--Shipping--%>
	<c:if test="${settings.map.shippingRequired eq '1'}">
		<tiles:insert attribute="shippingForm" />
		<br/>
	</c:if>
	
	<%--Payment--%>
	<c:if test="${settings.map.paymentRequired eq '1'}">
		<tiles:insert attribute="paymentForm"/>
	</c:if>

	<%--Submit button--%>
	<div id="checkoutComboButton" class="checkoutButtonContainer">
		<c:if test="${displayCheckoutConfirm eq '0'}">
			<input id="paymentSubmit" type="submit" class="button" value="<bean:message key="paymentForms.button" bundle="/order"/>" />
		</c:if>
		<c:if test="${displayCheckoutConfirm eq '1'}">
			<input id="paymentSubmit" type="submit" class="button" value="<bean:message key="paymentForms.continueButton" bundle="/order"/>" />
		</c:if>
	</div>

</form>

<c:if test="${settings.map.allowAddressBook eq '1'}">
	<tiles:insert page="/WEB-INF/layouts/default/customer/addressBookFooter.jsp"/>
</c:if>
<!-- End comboFormLayout.jsp -->
