<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<%@ page import="com.softslate.commerce.businessobjects.product.LuceneFacetHelper" %>
<!-- Start facetedSearchPriceRange.jsp -->
<div id="${facetTopGroup.facetName}" class="facetGroup widget">
	<strong id="facetResultHeading" class="heading"><bean:message key="product.unitPrice" bundle="/product"/></strong>
	<ul class="facetList">
		<c:forEach var="facet" items="${facetTopGroup.subResults}">
			<c:set var="facetPath" scope="request" value="${facet.facetName}"/>
			<c:set var="facetPathSurrounded" value=",${facet.facetName},"/>
			<tiles:insert page="/WEB-INF/layouts/default/product/facetedSearchPriceRangeFormat.jsp"/>
			<li id="${facetPath}" class="facet">
				<input type="checkbox" class="drilldown" name="facets" value="${facetPath}" id="checkbox-${facetPath}" <c:if test="${fn:contains(incomingFacets, facetPathSurrounded)}">checked="checked"</c:if>/>
				<label class="facetNameAndCount" for="checkbox-${facetPath}">
					<span class="facetName"><c:out value="${requestScope.formattedPriceRange}"/></span>&nbsp;(<span class="facetCount"><fmt:formatNumber maxFractionDigits="0" value="${facet.facetValue}"/></span>)
				</label>
			</li>
		</c:forEach>
	</ul>
</div>
<!-- End facetedSearchPriceRange.jsp -->
