package com.softslate.commerce.administrator.core;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;

/**
 * @author David Tobey
 * 
 */
public class SettingsFormHeaderSidePanel extends SettingsForm {
	private static final long serialVersionUID = 3688791366641725491L;

	static Log log = LogFactory.getLog(SettingsFormHeaderSidePanel.class);

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		initializeProperties(mapping, request);
		String[] navBarLinksArray = (String[]) get("navBarLinksArray");
		String navBarLinks = null;
		for (int i = 0; i < navBarLinksArray.length; i++) {
			if (i != 0) {
				navBarLinks = navBarLinks + "," + navBarLinksArray[i];
			} else {
				navBarLinks = navBarLinksArray[i];
			}
		}
		set("navBarLinks", navBarLinks);
		String[] footerLinksArray = (String[]) get("footerLinksArray");
		String footerLinks = null;
		for (int i = 0; i < footerLinksArray.length; i++) {
			if (i != 0) {
				footerLinks = footerLinks + "," + footerLinksArray[i];
			} else {
				footerLinks = footerLinksArray[i];
			}
		}
		set("footerLinks", footerLinks);
		if (log.isDebugEnabled())
			log.debug("Finishing validation.");
		return getErrors();
	}

}
