<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start categorySetting.jsp -->
<c:choose>
	<%-- Specially-formatted settings --%>
	<c:when test="${setting.code eq 'pageLayoutStyle'}">
		<tr class="<c:out value="${requestScope.thisClass}"/>">
			<td class="setting"><bean:write name="setting" property="name"/>:</td>
			<td class="value">
				<input type="hidden" name="code" value="<bean:write name="setting" property="code"/>" />
				<input type="hidden" name="valueType" value="<bean:write name="setting" property="valueType"/>" />
				<select name="value">
					<option value="leftLayout" <logic:equal name="setting" property="smallValue" value="leftLayout">selected="selected"</logic:equal>>Sidebar Layout</option>
					<option value="layout" <logic:equal name="setting" property="smallValue" value="layout">selected="selected"</logic:equal>>Full Layout</option>
				</select>
			 	<br/>
			 	<br/>
				<div class="settingDescription"><bean:write name="setting" property="description" filter="false"/></div>
			 </td>
		</tr>
	</c:when>
	<%-- Boolean settings --%>
	<c:when test="${setting.valueType eq 'booleanValue'}">
		<tr class="<c:out value="${requestScope.thisClass}"/>">
			<td class="setting"><label for="<bean:write name="setting" property="code"/>"><bean:write name="setting" property="name"/></label>:</td>
			<td class="value">
				<input type="hidden" name="code" value="<bean:write name="setting" property="code"/>" />
				<input type="hidden" name="valueType" value="<bean:write name="setting" property="valueType"/>" />
				<input type="radio" name="value" id="<c:out value="${setting.code}"/>1" value="1" <c:if test="${setting.integerValue eq '1'}">checked="checked"</c:if>/>
				<label for="<c:out value="${setting.code}"/>1">yes</label>
				&nbsp;&nbsp; 
				<input type="radio" name="value" id="<c:out value="${setting.code}"/>0" value="0" <c:if test="${setting.integerValue eq '0'}">checked="checked"</c:if>/>
				<label for="<c:out value="${setting.code}"/>0">no</label>
			 	<br/>
				<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
			</td>
			<c:if test="${!empty categorySettingsFormGeneral}">
				<td class="value">
					 <a href="<c:out value="${settings.map.administratorURL}"/>/CategorySettingDelete.do?categoryID=<bean:write name="categorySettingsFormGeneral" property="categoryID"/>&categorySettingID=<bean:write name="setting" property="categorySettingID"/>"><bean:message key="administrator.delete" bundle="/administrator/administrator"/></a>
				</td>
			</c:if>
		</tr>
	</c:when>
	<%-- Integer settings --%>
	<c:when test="${setting.valueType eq 'integerValue'}">
		<tr class="<c:out value="${requestScope.thisClass}"/>">
			<td class="setting"><label for="<bean:write name="setting" property="code"/>"><bean:write name="setting" property="name"/></label>:</td>
			<td class="value">
				<input type="hidden" name="code" value="<bean:write name="setting" property="code"/>" />
				<input type="hidden" name="valueType" value="<bean:write name="setting" property="valueType"/>" />
				<input type="text" class="textbox" size="5" maxlength="10" id="<bean:write name="setting" property="code"/>" name="value" value="<bean:write name="setting" property="integerValue"/>"/>
			 	<br/>
				<div class="settingDescription"><bean:write name="setting" property="description" filter="false"/></div>
			</td>
			<c:if test="${!empty categorySettingsFormGeneral}">
				<td class="value">
					 <a href="<c:out value="${settings.map.administratorURL}"/>/CategorySettingDelete.do?categoryID=<bean:write name="categorySettingsFormGeneral" property="categoryID"/>&categorySettingID=<bean:write name="setting" property="categorySettingID"/>"><bean:message key="administrator.delete" bundle="/administrator/administrator"/></a>
				</td>
			</c:if>
		</tr>
	</c:when>
	<%-- Small text settings --%>
	<c:when test="${setting.valueType eq 'smallValue'}">
		<tr class="<c:out value="${requestScope.thisClass}"/>">
			<td class="setting"><label for="<bean:write name="setting" property="code"/>"><bean:write name="setting" property="name"/></label>:</td>
			<td class="value">
				<input type="hidden" name="code" value="<bean:write name="setting" property="code"/>" />
				<input type="hidden" name="valueType" value="<bean:write name="setting" property="valueType"/>" />
				<input type="text" class="textbox" size="20" maxlength="64" id="<bean:write name="setting" property="code"/>" name="value" value="<bean:write name="setting" property="smallValue"/>"/>
			 	<br/>
				<div class="settingDescription"><bean:write name="setting" property="description" filter="false"/></div>
			</td>
			<c:if test="${!empty categorySettingsFormGeneral}">
				<td class="value">
					 <a href="<c:out value="${settings.map.administratorURL}"/>/CategorySettingDelete.do?categoryID=<bean:write name="categorySettingsFormGeneral" property="categoryID"/>&categorySettingID=<bean:write name="setting" property="categorySettingID"/>"><bean:message key="administrator.delete" bundle="/administrator/administrator"/></a>
				</td>
			</c:if>
		</tr>
	</c:when>
	<%-- Medium settings --%>
	<c:when test="${setting.valueType eq 'mediumValue'}">
		<tr class="<c:out value="${requestScope.thisClass}"/>">
			<td class="setting"><label for="<bean:write name="setting" property="code"/>"><bean:write name="setting" property="name"/></label>:</td>
			<td class="value">
				<input type="hidden" name="code" value="<bean:write name="setting" property="code"/>" />
				<input type="hidden" name="valueType" value="<bean:write name="setting" property="valueType"/>" />
				<input type="text" class="textbox" size="50" maxlength="255" id="<bean:write name="setting" property="code"/>" name="value" value="<bean:write name="setting" property="mediumValue"/>"/>
			 	<br/>
				<div class="settingDescription"><bean:write name="setting" property="description" filter="false"/></div>
			</td>
			<c:if test="${!empty categorySettingsFormGeneral}">
				<td class="value">
					 <a href="<c:out value="${settings.map.administratorURL}"/>/CategorySettingDelete.do?categoryID=<bean:write name="categorySettingsFormGeneral" property="categoryID"/>&categorySettingID=<bean:write name="setting" property="categorySettingID"/>"><bean:message key="administrator.delete" bundle="/administrator/administrator"/></a>
				</td>
			</c:if>
		</tr>
	</c:when>
	<%-- Text settings --%>
	<c:when test="${setting.valueType eq 'textValue'}">
		<tr class="<c:out value="${requestScope.thisClass}"/>">
			<td class="setting"><label for="<bean:write name="setting" property="code"/>"><bean:write name="setting" property="name"/></label>:</td>
			<td class="value">
				<input type="hidden" name="code" value="<bean:write name="setting" property="code"/>" />
				<input type="hidden" name="valueType" value="<bean:write name="setting" property="valueType"/>" />
				<textarea cols="60" rows="8" id="<bean:write name="setting" property="code"/>" name="value"><bean:write name="setting" property="textValue"/></textarea>
			 	<br/>
				<div class="settingDescription"><bean:write name="setting" property="description" filter="false"/></div>
			</td>
			<c:if test="${!empty categorySettingsFormGeneral}">
				<td class="value">
					 <a href="<c:out value="${settings.map.administratorURL}"/>/CategorySettingDelete.do?categoryID=<bean:write name="categorySettingsFormGeneral" property="categoryID"/>&categorySettingID=<bean:write name="setting" property="categorySettingID"/>"><bean:message key="administrator.delete" bundle="/administrator/administrator"/></a>
				</td>
			</c:if>
		</tr>
	</c:when>
</c:choose>
<!-- End categorySetting.jsp -->
