<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start optionFieldColumns.jsp -->
<bean:define id="displayFieldArray" name="mainForm" property="displayFields" type="java.lang.String[]" />
<bean:define id="fieldArray" name="mainForm" property="fields" type="java.lang.String[]" />
<% java.util.Collection displayFieldCollection = java.util.Arrays.asList(displayFieldArray); %>
<logic:iterate collection="<%= fieldArray %>" id="field" type="java.lang.String">
	<% if (displayFieldCollection.contains(field)) { %>
		<td class="dataCell <c:out value="${field}"/>">
			<c:choose>
				<c:when test="${field eq 'optionID'}">
					<c:out value="${item[field]}" />
				</c:when>
				<c:when test="${mainForm.editMode eq 'true'}">
					<c:choose>
						<c:when test="${field eq 'attributeID'}">
							<c:out value="${item[field]}" />
							<input type="hidden" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />"/>
						</c:when>
						<c:when test="${field eq 'optionIsActive'}">
							<input type="hidden" name="<c:out value="${field}"/>" value="<c:out value="${item[field]}"/>"/>
							<input type="checkbox" name="dummy" <c:if test="${item[field] ne 'false'}">checked="checked"</c:if> onclick="updateCheckboxField(this, '<c:out value="${field}"/>', <c:out value="${j}"/>)"/>
						</c:when>
						<c:otherwise>
							<input type="text" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />"/>
						</c:otherwise>
					</c:choose>
				</c:when>
				<c:otherwise>
					<input type="hidden" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />" />
					<c:choose>
						<c:when test="${field eq 'optionIsActive'}">
							<c:choose>
								<c:when test="${item[field] eq 'true'}">yes</c:when>
								<c:otherwise>no</c:otherwise>
							</c:choose>
						</c:when>
						<c:when test="${field eq 'optionUnitPrice'
										or field eq 'optionAltPrice'
										or field eq 'optionUnitCost'}">
							<fmt:formatNumber type="currency" currencyCode="${currencyCode}"><c:out value="${item[field]}"/></fmt:formatNumber>
						</c:when>
						<c:when test="${field eq 'optionWeight'}">
							<fmt:formatNumber type="number"><c:out value="${item[field]}"/></fmt:formatNumber>
						</c:when>
						<c:otherwise>
							<c:out value="${item[field]}" />
						</c:otherwise>
					</c:choose>
				</c:otherwise>
			</c:choose>
		</td>
	<% } %>
</logic:iterate>
<!-- End optionFieldColumns.jsp -->
