// ////////////////////////////////////////////////////////////////////////////////////////
// Core functions for all order overview tools

YAHOO.namespace("administratorCore");

// Initialize all the order overview tools
YAHOO.administratorCore.initializeOrderOverviewTools = function() {
	YAHOO.addItem.initialize();
	YAHOO.addCoupon.initialize();
	YAHOO.editBilling.initialize();
	YAHOO.editDelivery.initialize();
	YAHOO.updateShipping.initialize();
};

// Set up as the DOM is loaded
YAHOO.util.Event.onDOMReady(function() {
	
	// Run above initialize function
	YAHOO.administratorCore.initializeOrderOverviewTools();
});

// Session timeout - send back to the login page
YAHOO.administratorCore.sessionTimeout = function() {
	document.location = "LoginForm.do";
}

// Focus on messages - if a message appears on the last step, we need to draw the user's attention to it
YAHOO.administratorCore.focusOnMessages = function() {
	document.location = "#ajaxMessages";
	YAHOO.util.Dom.addClass(YAHOO.util.Dom.getElementsByClassName('ajaxMessages'), 'bodyContentMessages');
}
