<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<div class="page-header">
	<h1 class="pageTitle"><bean:message key="customer.yourAccount" bundle="/customer"/></h1>
</div>
<ul id="accountNavigation" class="nav nav-tabs">
	<li id="addressesTab"<c:if test="${pageTitleKey eq 'page.accountHome' or pageTitleKey eq 'page.accountAddresses'}"> class="active"</c:if>>
		<ssc:link href="${secureURL}/AccountAddresses.do"><bean:message key="customer.accountAddresses" bundle="/customer" /></ssc:link>
	</li>
	<li id="passwordTab"<c:if test="${pageTitleKey eq 'page.accountPassword'}"> class="active"</c:if>>
		<ssc:link href="${secureURL}/AccountPassword.do"><bean:message key="customer.accountChangePassword" bundle="/customer" /></ssc:link>
	</li>
	<c:if test="${settings.map.allowSavedCarts eq '1'}">
		<li id="savedCartsTab"<c:if test="${pageTitleKey eq 'page.accountSavedCarts'}"> class="active"</c:if>>
			<ssc:link href="${secureURL}/AccountSavedCarts.do"><bean:message key="customer.accountSavedCarts" bundle="/customer" /></ssc:link>
		</li>
	</c:if>
	<li id="historyTab"<c:if test="${pageTitleKey eq 'page.accountHistory'}"> class="active"</c:if>>
		<ssc:link href="${secureURL}/AccountHistory.do"><bean:message key="customer.accountHistory" bundle="/customer" /></ssc:link>
	</li>
	<c:if test="${settings.map.displayAccountDownloadsLink eq '1'}">
		<li id="downloadTab"<c:if test="${pageTitleKey eq 'page.accountDownload'}"> class="active"</c:if>>
			<ssc:link href="${secureURL}/AccountDownload.do"><bean:message key="customer.accountDownload" bundle="/customer" /></ssc:link>
		</li>
	</c:if>
	<c:if test="${settings.map.allowCustomerWishLists eq '1'}">
		<li id="wishListTab"<c:if test="${pageTitleKey eq 'page.accountWishLists' or pageTitleKey eq 'page.accountWishListEdit' or pageTitleKey eq 'page.accountWishListAdd'}"> class="active"</c:if>>
			<ssc:link href="${secureURL}/AccountWishLists.do"><bean:message key="customer.accountWishLists" bundle="/customer" /></ssc:link>
		</li>
	</c:if>
	<c:if test="${settings.map.authorizeNetCIMManageProfiles eq '1'}">
		<%
			java.util.Properties appComponents = (java.util.Properties) application.getAttribute("appComponents");
			String activePaymentFormTemplates = appComponents.getProperty("activePaymentFormTemplates");
			pageContext.setAttribute("activePaymentFormTemplates", activePaymentFormTemplates);
		%>
		<logic:match name="activePaymentFormTemplates" value="authorizeNetCIMPaymentForm.jsp">
			<li id="managePaymentsTab"<c:if test="${pageTitleKey eq 'page.accountCIMManageProfiles'}"> class="active"</c:if>>
				<ssc:link href="${secureURL}/AccountCIMManageProfiles.do"><bean:message key="customer.accountCIMManageProfiles" bundle="/customer" /></ssc:link>
			</li>
		</logic:match>
	</c:if>
	<li id="logoutLink" class="navbar-right">
		<ssc:link href="${customerURL}/Logout.do"><bean:message key="customer.logout" bundle="/customer" />&nbsp;<span class="glyphicon glyphicon-log-out"></span></ssc:link>
	</li>
</ul>

<!-- End ${pageScope.sscCurrentPage} -->
