<%@ page contentType="application/json; charset=UTF-8" pageEncoding="UTF-8"%><%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<%@ page import="com.softslate.commerce.businessobjects.order.Order,com.softslate.commerce.businessobjects.order.OrderItem,com.softslate.commerce.businessobjects.order.OrderItemAttribute" %><%@ page import="org.apache.commons.lang3.StringEscapeUtils" %><%@ page import="org.apache.commons.lang.StringUtils" %>
<c:set var="order" value="${user.order}"/>
{	
	<ssc:insert page="/WEB-INF/templates/administrator/default/json/errorsAndMessagesNoGson.jsp"/>,
	"jsonResult": {
		<c:if test="${!empty order}">
			"quantity": <c:choose><c:when test="${!empty order.quantity}">${order.quantity}</c:when><c:otherwise>null</c:otherwise></c:choose>,
			"subtotal": <c:choose><c:when test="${!empty order.subtotal}">${order.subtotal}</c:when><c:otherwise>null</c:otherwise></c:choose>,
			"cartDeliveries":[
				<logic:iterate name="order" property="orderDeliveryCollection" id="orderDelivery" indexId="i">
					{
						"cartItems":[
							<c:set var="itemDelim" value=""/>
							<logic:iterate name="orderDelivery" property="orderItemCollection" id="item" indexId="j">
								<c:out value="${itemDelim}"/>
								<c:set var="itemDelim" value=", "/>
								{
									"orderItemID": <c:out value="${item.orderItemID}"/>,
									"total": ${item.total},
									"quantity": ${item.quantity},
									"code": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((OrderItem)pageContext.getAttribute("item")).getCode()))%>",
									"seoCode": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((OrderItem)pageContext.getAttribute("item")).getSeoCode()))%>",
									"name": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((OrderItem)pageContext.getAttribute("item")).getName()))%>",
									"price": ${item.total/item.quantity},
									"image": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((OrderItem)pageContext.getAttribute("item")).getImage()))%>",
									"cartItemAttributes": [
										<c:if test="${!empty item.orderItemAttributes and !item.orderItemAttributes['empty']}">
											<c:set var="attributeDelim" value=""/>
											<logic:iterate name="item" property="orderItemAttributes" id="attribute" indexId="k">
												<c:out value="${attributeDelim}"/>
												<c:set var="attributeDelim" value=", "/>
												{
													"attributeCode": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((OrderItemAttribute)pageContext.getAttribute("attribute")).getAttributeCode()))%>",
													"attributeName": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((OrderItemAttribute)pageContext.getAttribute("attribute")).getAttributeName()))%>",
													"attributeValue": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((OrderItemAttribute)pageContext.getAttribute("attribute")).getAttributeValue()))%>",
													"optionCode": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((OrderItemAttribute)pageContext.getAttribute("attribute")).getOptionCode()))%>",
													"optionName": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((OrderItemAttribute)pageContext.getAttribute("attribute")).getOptionName()))%>"
												}
											</logic:iterate>
										</c:if>
									]
								}
							</logic:iterate>
						]
					}
				</logic:iterate>
			]
		</c:if>
	}
}
