<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<c:set var="reloadPage" value="Checkout.do" />
<c:if test="${pageTitleKey eq 'page.accountCIMManageProfiles'}">
	<c:set var="reloadPage" value="AccountCIMManageProfiles.do" />
</c:if>
<c:choose>
	<c:when test="${settings.map.authorizeNetCIMHostedMethod eq 'Embedded IFrame'}">
		<link href="${pageContext.request.contextPath}/js/cim/manageEmbeddedIFrame.css" rel="stylesheet" type="text/css" />
		<ssc:loadscript name="jquery"><script src="${pageContext.request.contextPath}/js/jquery/jquery.js"></script></ssc:loadscript>
		<ssc:loadscript name="jquery.scrollTo"><script src="${pageContext.request.contextPath}/js/jquery/jquery.scrollTo-min.js"></script></ssc:loadscript>
		<ssc:loadscript name="jquery.localscroll"><script src="${pageContext.request.contextPath}/js/jquery/jquery.localscroll-min.js"></script></ssc:loadscript>
		<script type="text/javascript">
	     	(function($) {
	    		$(document).ready(function() {
	    			$.localScroll();
	     	});
	    	})(jQuery);
		</script>
	</c:when>
	<c:when test="${settings.map.authorizeNetCIMHostedMethod eq 'Popup IFrame'}">
		<link href="${pageContext.request.contextPath}/js/cim/managePopupIFrame.css" rel="stylesheet" type="text/css" />
	</c:when>
	<c:when test="${settings.map.authorizeNetCIMHostedMethod eq 'Redirect'}">
		<link href="${pageContext.request.contextPath}/js/cim/manageRedirect.css" rel="stylesheet" type="text/css" />
	</c:when>
</c:choose>
<link href="${pageContext.request.contextPath}/js/cim/manage.css" rel="stylesheet" type="text/css" />
<!--[if lte IE 6]>
 		<link href="${pageContext.request.contextPath}/js/cim/manageIELTE6.css" rel="stylesheet" type="text/css" />
 	<![endif]-->
 <script type="text/javascript" src="${pageContext.request.contextPath}/js/cim/popup.js?version=2"></script>
 <script type="text/javascript">
 	function ssCimPopupClosed() {
		// We want to show this page over again, refresh the payment methods.
		window.location.assign("${secureURL}/${reloadPage}?" + Math.random());
	}

 	<c:if test="${settings.map.authorizeNetCIMeCheck eq '1'}">
		AuthorizeNetPopup.options.eCheckEnabled = true;
	</c:if>
	AuthorizeNetPopup.options.onPopupClosed = function() {
		ssCimPopupClosed();
	};
	<c:if test="${settings.map.authorizeNetCIMskipZIndexCheck eq '1'}">
		AuthorizeNetPopup.options.skipZIndexCheck = true;
	</c:if>
	<c:if test="${settings.map.authorizeNetCIMTestRequest eq '1'}">
		AuthorizeNetPopup.options.useTestEnvironment = true;
	</c:if>
	AuthorizeNetPopup.options.authorizeNetCIMHostedMethod = '${settings.map.authorizeNetCIMHostedMethod}';
	AuthorizeNetPopup.options.authorizeNetCIMFullManageWindow = '${settings.map.authorizeNetCIMFullManageWindow}';

  	function ssCimOpenPopup(cimProfileId){
  	  	if (AuthorizeNetPopup.options.authorizeNetCIMHostedMethod == 'Embedded IFrame'){
//  	  		$jCim("span#cimHeaderLabel").html("<bean:message key="customer.cimEditPaymentMethodHeader" bundle="/customer"/>");
  	  	}
		AuthorizeNetPopup.openEditPaymentPopup(cimProfileId);
  	}

  	function ssDeletePaymentMethod(cimPaymentProfileId){
		var confirmation = '<bean:message key="cimProfile.deletePaymentMethodWarning" bundle="/customer"/>';
  		var answer = confirm(confirmation);
  		if (answer){
  			window.location.assign("${secureURL}/${reloadPage}?" + Math.random() + "&deleteID=" + cimPaymentProfileId);
  		}else{
  			return answer;
  		}
  	}

  	function ssRedirectManage(action,id){
  	  	var form = document.forms["formAuthorizeNetPopup"];
  	  	if (AuthorizeNetPopup.options.authorizeNetCIMFullManageWindow == '1'){
  	  		form.paymentProfileId.value='';
			action = "manage";
  	  	}else{
			if (action == 'editPayment'){
				form.paymentProfileId.value=id
			}else{
				form.paymentProfileId.value='';
				action = 'addPayment';
			}
  	  	}
  		if (AuthorizeNetPopup.options.useTestEnvironment) {
			form.action = "https://test.authorize.net/customer/" + action;
		} else {
			form.action = "https://accept.authorize.net/customer/" + action;
		}
  		form.target = '_self';
		form.submit();
  	}
</script>
<!-- End ${pageScope.sscCurrentPage} -->