<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<c:if var="facetsToDisplay" scope="request" test="${(requestScope.itemCount > requestScope.itemsPerPage or requestScope.itemsPerPage == settings.map.maxRecordsProcessed)
	and settings.map.advancedSearchEnableFacetedSearch eq '1' and settings.map.advancedSearchDisplayFacetedSearchWidget eq '1' 
	and !empty requestScope.searchList.facetResultCollection and !empty searchList.searchListCollection}"/>

<%-- Faceted Search Widget next to Products --%>
<c:if test="${facetsToDisplay and param.ajax ne 'true'}">
	<div class="facetedSearchColumnLeft col-xs-12 col-sm-4">
		<ssc:insert page="/WEB-INF/layouts/default-html5/product/facetedSearch.jsp" />
	</div>
	<div class="facetedSearchBody">
</c:if>
	<div class="facetedSearchColumnRight col-xs-12 <c:if test="${facetsToDisplay or param.ajax eq 'true'}">col-sm-8</c:if>">
		<div class="prodListControls">
			
			<%--Item count--%>
			<div class="productListItemCount col-md-2">
				<c:out value="${itemCount}"/>&nbsp;<c:choose><c:when test="${itemCount == 1}"><bean:message key="productList.item" bundle="/product"/></c:when><c:otherwise><bean:message key="productList.items" bundle="/product"/></c:otherwise></c:choose>
			</div>

			<%--Pagination--%>
			<div class="col-md-10">
				<ssc:insert page="/WEB-INF/layouts/default/product/pagination.jsp"/>
			</div>

			<%--Sort By links--%>
			<c:if test="${itemCount > 0 and requestScope.advancedSearch eq 'true' and settings.map.advancedSearchPriceSort eq '1'}">
				<div class="clearfix"/>
				<div class="col-xs-12">
					<ssc:insert page="/WEB-INF/layouts/default-html5/product/sortByLinks.jsp"/>
				</div>
			</c:if>

			<%--Facets listed--%>
			<c:if test="${requestScope.advancedSearch eq 'true' and !empty searchList.facets}">
				<div class="clearfix"/>
				<div class="col-xs-12">
					<ssc:insert page="/WEB-INF/layouts/default/product/facetedSearchSelections.jsp"/>
				</div>
			</c:if>

		</div>
		
		<%--Products --%>
		<ssc:insert page="/WEB-INF/layouts/default-html5/product/productList.jsp">
			<c:if test="${requestScope.isWelcomePage or facetsToDisplay or param.ajax eq 'true'}">
				<ssc:put name="maxNumberOfColumns" value="3"/>
			</c:if>
		</ssc:insert>
	
		<%-- Bottom pagination --%>
		<ssc:insert page="/WEB-INF/layouts/default-html5/product/pagination.jsp"/>
	</div>
<c:if test="${facetsToDisplay and param.ajax ne 'true'}">
	</div>
</c:if>
<!-- End ${pageScope.sscCurrentPage} -->
