<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start billingFormGuts.jsp -->

	<c:choose>
		<c:when test="${showSIMAPIBillToThisAddress and settings.map.allowAddressBook eq '1'}">
			<label for="billToThisAddres"><bean:message key="payment.billToThisAddress" bundle="/payment"/></label>
			<input type="radio" id="billToThisAddress" name="cimPaymentProfileID" value="0" />
		</c:when>
		<c:when test="${showShipToThisAddress}">
			<%-- Address Book --%>
			<label for="billToThisAddres"><bean:message key="addressBook.billToThisAddress" bundle="/customer"/></label>
			<input type="radio" id="addressBookCheckoutNewBillingContinueRadio" name="customerBillingAddressID" value="" />
		</c:when>
	</c:choose>	

	<logic:match name="settings" property="value(billingPrompt)" value="firstName">
		<label for="billingFirstName"<logic:match name="settings" property="value(billingRequired)" value="firstName"> class="requiredLabel"</logic:match>>
			<bean:message key="orderForm.billingFirstName" bundle="/order"/>:
		</label>
		<html:text styleId="billingFirstName" styleClass="textbox" name="addressForm" property="billingFirstName"/><br />
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="lastName">
		<label for="billingLastName"<logic:match name="settings" property="value(billingRequired)" value="lastName"> class="requiredLabel"</logic:match>>
			<bean:message key="orderForm.billingLastName" bundle="/order"/>:
		</label>
		<html:text styleId="billingLastName" styleClass="textbox" name="addressForm" property="billingLastName"/><br />
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="organization">
		<label for="billingOrganization"<logic:match name="settings" property="value(billingRequired)" value="organization"> class="requiredLabel"</logic:match>>
			<bean:message key="orderForm.billingOrganization" bundle="/order"/>:
		</label>
		<html:text styleId="billingOrganization" styleClass="textbox" name="addressForm" property="billingOrganization"/><br />
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="address1">
		<label for="billingAddress1"<logic:match name="settings" property="value(billingRequired)" value="address1"> class="requiredLabel"</logic:match>>
			<bean:message key="orderForm.billingAddress1" bundle="/order"/>:
		</label>
		<html:text styleId="billingAddress1" styleClass="textbox" name="addressForm" property="billingAddress1"/><br />
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="address2">
		<label for="billingAddress2"<logic:match name="settings" property="value(billingRequired)" value="address2"> class="requiredLabel"</logic:match>>
		       <bean:message key="orderForm.billingAddress2" bundle="/order"/>:
		</label>
		<html:text styleId="billingAddress2" styleClass="textbox" name="addressForm" property="billingAddress2"/><br />
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="city">
		<label for="billingCity"<logic:match name="settings" property="value(billingRequired)" value="city"> class="requiredLabel"</logic:match>>
		       <bean:message key="orderForm.billingCity" bundle="/order"/>:
		</label>
		<html:text styleId="billingCity" styleClass="textbox" name="addressForm" property="billingCity"/><br />
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="state">
		<label for="billingState" <logic:match name="settings" property="value(billingRequired)" value="state"> class="requiredLabel"</logic:match>>
			<bean:message key="orderForm.billingState" bundle="/order"/>:
		</label>
		<html:select styleId="billingState" name="addressForm" property="billingState" styleClass="selectboxWide">
			<option value=""><bean:message key="orderForm.pleaseSelect" bundle="/order"/></option>
			<option value="">-------------</option>
			<html:options collection="states" property="code" labelProperty="name"/>
		</html:select><br />
	</logic:match>
	
	<logic:match name="settings" property="value(billingPrompt)" value="other">
		<label for="billingOther">
		       <bean:message key="orderForm.billingOther" bundle="/order"/>:
		</label>
		<html:text styleId="billingOther" styleClass="textbox" name="addressForm" property="billingOther"/><br />
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="postalCode">
		<label for="billingPostalCode"<logic:match name="settings" property="value(billingRequired)" value="postalCode"> class="requiredLabel"</logic:match>>
		       <bean:message key="orderForm.billingPostalCode" bundle="/order"/>:
		</label>
		<html:text styleId="billingPostalCode" styleClass="textbox" name="addressForm" property="billingPostalCode"/><br />
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="country">
		<label for="billingCountry" <logic:match name="settings" property="value(billingRequired)" value="country"> class="requiredLabel"</logic:match>>
			<bean:message key="orderForm.billingCountry" bundle="/order"/>:
		</label>
		<html:select styleId="billingCountry" name="addressForm" property="billingCountry" styleClass="selectboxWide">
			<option value=""><bean:message key="orderForm.pleaseSelect" bundle="/order"/></option>
			<option value="">-------------</option>
			<html:options collection="countries" property="code" labelProperty="name"/>
		</html:select><br />
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="phone1">
		<label for="billingPhone1"<logic:match name="settings" property="value(billingRequired)" value="phone1"> class="requiredLabel"</logic:match>>
		       <bean:message key="orderForm.billingPhone1" bundle="/order"/>:
		</label>
		<html:text styleId="billingPhone1" styleClass="textbox" name="addressForm" property="billingPhone1"/><br />
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="phone2">
		<label for="billingPhone2"<logic:match name="settings" property="value(billingRequired)" value="phone2"> class="requiredLabel"</logic:match>>
		       <bean:message key="orderForm.billingPhone2" bundle="/order"/>:
		</label>
		<html:text styleId="billingPhone2" styleClass="textbox" name="addressForm" property="billingPhone2"/><br />
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="email1">
		<label for="billingEmail1"<logic:match name="settings" property="value(billingRequired)" value="email1"> class="requiredLabel"</logic:match>>
		       <bean:message key="orderForm.billingEmail1" bundle="/order"/>:
		</label>
		<html:text styleId="billingEmail1" styleClass="textbox" name="addressForm" property="billingEmail1"/><br />
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="email2">
		<label for="billingEmail2"<logic:match name="settings" property="value(billingRequired)" value="email2"> class="requiredLabel"</logic:match>>
		       <bean:message key="orderForm.billingEmail2" bundle="/order"/>:
		</label>
		<html:text styleId="billingEmail2" styleClass="textbox" name="addressForm" property="billingEmail2"/><br />
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="extra1">
		<label for="billingExtra1"<logic:match name="settings" property="value(billingRequired)" value="extra1"> class="requiredLabel"</logic:match>>
		       <bean:message key="orderForm.billingExtra1" bundle="/order"/>:
		</label>
		<html:text styleId="billingExtra1" styleClass="textbox" name="addressForm" property="billingExtra1"/><br />
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="extra2">
		<label for="billingExtra2"<logic:match name="settings" property="value(billingRequired)" value="extra2"> class="requiredLabel"</logic:match>>
		       <bean:message key="orderForm.billingExtra2" bundle="/order"/>:
		</label>
		<html:text styleId="billingExtra2" styleClass="textbox" name="addressForm" property="billingExtra2"/><br />
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="extra3">
		<label for="billingExtra3"<logic:match name="settings" property="value(billingRequired)" value="extra3"> class="requiredLabel"</logic:match>>
		       <bean:message key="orderForm.billingExtra3" bundle="/order"/>:
		</label>
		<html:text styleId="billingExtra3" styleClass="textbox" name="addressForm" property="billingExtra3"/><br />
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="extra4">
		<label for="billingExtra4"<logic:match name="settings" property="value(billingRequired)" value="extra4"> class="requiredLabel"</logic:match>>
		       <bean:message key="orderForm.billingExtra4" bundle="/order"/>:
		</label>
		<html:text styleId="billingExtra4" styleClass="textbox" name="addressForm" property="billingExtra4"/><br />
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="extra5">
		<label for="billingExtra5"<logic:match name="settings" property="value(billingRequired)" value="extra5"> class="requiredLabel"</logic:match>>
		       <bean:message key="orderForm.billingExtra5" bundle="/order"/>:
		</label>
		<html:text styleId="billingExtra5" styleClass="textbox" name="addressForm" property="billingExtra5"/><br />
	</logic:match>

	<logic:match name="settings" property="value(billingPrompt)" value="notes">
		<label for="billingNotes"<logic:match name="settings" property="value(billingRequired)" value="notes"> class="requiredLabel"</logic:match>>
		       <bean:message key="orderForm.billingNotes" bundle="/order"/>:
		</label>
		<html:textarea styleId="billingNotes" name="addressForm" property="billingNotes"/><br />
	</logic:match>
<!-- End billingFormGuts.jsp -->
