<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start orderProductList.jsp -->
<c:set var="oPQ" value="${orderForm.orderProductQuantities}" />
<c:if test="${!empty productList.productListCollection and !productList.productListCollection['empty']}">
	<table class="grid" summary="List of items available to order.">
		<tr class="listHeading">
			<th><bean:message key="orderForm.quantityLabel" bundle="/order" /></th>
			<th><bean:message key="orderForm.codeLabel" bundle="/order" /></th>
			<th><bean:message key="orderForm.nameLabel" bundle="/order" /></th>
			<th><bean:message key="orderForm.descriptionLabel" bundle="/order" /></th>
			<th><bean:message key="orderForm.priceLabel" bundle="/order" /></th>
		</tr>
		<logic:iterate name="productList" property="productListCollection" id="row" indexId="index">
			<c:choose>
				<c:when test="${thisClass eq altRowClass}"><c:set var="thisClass" value="${rowClass}"/></c:when>
				<c:otherwise><c:set var="thisClass" value="${altRowClass}"/></c:otherwise>
			</c:choose>
			<c:choose>
				<c:when test="${settings.map.useSEOCodeForProductURLs eq '1' and !empty row.seoCode}">
					<c:set var="productLinkCode" value="${row.seoCode}"/>
				</c:when>
				<c:otherwise>
					<c:set var="productLinkCode" value="${row.code}"/>
				</c:otherwise>
			</c:choose>
			<tr class="orderProductListData">
				<td class="quantity <c:out value="${thisClass}"/>">
					<input type="hidden" name="orderProductCodes" value="<c:out value="${row.code}"/>" />
					<% String thisValue = "0"; String[] oPQ = (String[]) pageContext.getAttribute("oPQ"); if (index.intValue() < oPQ.length) thisValue = oPQ[index.intValue()]; %>
					<input class="textbox" type="text" name="orderProductQuantities" value="<%= thisValue %>" size="2" />
				</td>
				<td class="code <c:out value="${thisClass}"/>">
					<c:out value="${row.code}" />
				</td>
				<td class="name <c:out value="${thisClass}"/>">
					<html:link href="${customerURL}/Product.do" paramId="code" paramName="productLinkCode">
						<c:out value="${row.name}" />
					</html:link>
				</td>
				<td class="description <c:out value="${thisClass}"/>">
					<c:out value="${row.description}" />
				</td>
				<td class="price <c:out value="${thisClass}"/>">
					<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${row.unitPrice}" />
				</td>
			</tr>
		</logic:iterate>
	</table>
</c:if>
<!-- End orderProductList.jsp -->
