package com.softslate.commerce.daos.order;

import java.util.Map;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.daos.core.DAOInterface;


/**
 * Interface for a DAO that runs miscellaneous queries related to order items.
 * 
 * @author David Tobey
 * 
 */
public interface OrderItemGatewayDAO extends DAOInterface {
	abstract Map loadOrderItemsAndCount(Map parameters)
			throws Exception;

	abstract Map editDeleteOrderItems(Map parameters,
			BusinessObjectFactory bof) throws Exception;
}
