package com.softslate.commerce.daos.product;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.daos.core.DAOInterface;
import java.util.Map;

/**
 * Interface for a DAO that runs miscellaneous queries related to product
 * reviews
 * 
 * @author Tony Zakula
 */
public interface ProductReviewGatewayDAO extends DAOInterface {

	Map editDeleteProductReviews(Map parameters, BusinessObjectFactory bof)
			throws Exception;

	Map loadReviewsAndCount(Map parameters) throws Exception;

}
