INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_Url','UPS URL','The URL to the UPS live or testing server. (Use https://www.ups.com/ups.app/xml/Rate for live rates, and https://wwwcie.ups.com/ups.app/xml/Rate for testing.','UPS', 'mediumValue',NULL,NULL,'https://wwwcie.ups.com/ups.app/xml/Rate',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_userId','User ID','The UPS Online Tools User ID you created when you registered for Online Tools on ups.com.','UPS', 'mediumValue',NULL,NULL,'userid',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_password','Password','The UPS Online Tools password you created when you registered for Online Tools on ups.com.','UPS', 'encryptedValue',NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_accessLicenseNumber','Your UPS XML Access Key','The UPS XML Access Key you were given by UPS when you created it on ups.com.','UPS', 'mediumValue',NULL,NULL,'XXXXXXXXXXXXXXXX',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_pickupTypeCode','Pickup Type Code','The method you use to get your packages to UPS.','UPS', 'mediumValue',NULL,NULL,'01',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_customerClassificationCode','Customer Classification Code','The classification of your business.','UPS', 'mediumValue',NULL,NULL,'04',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_validServiceCodes','Services Offerred','The UPS services offered to customers during checkout (if applicable for the order).','UPS', 'mediumValue',NULL,NULL,'01,02,03,12',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_shipperName','Shipper Name','The company name to use for your store for UPS shipments.','UPS', 'mediumValue',NULL,NULL,'Shipper Co.',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_shipperAttentionName','Shipper Attention Name','The Attention To to use for your company for UPS shipments.','UPS', 'mediumValue',NULL,NULL,'Shipping and Receiving',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_shipperTaxIdNumber','Shipper Tax ID Number','Your company Tax ID number (if applicable).','UPS', 'mediumValue',NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_shipperPhoneNumber','Shipper Phone Number','The phone number to use for your company for UPS shipments.','UPS', 'mediumValue',NULL,NULL,'xxx-xxx-xxxx',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_shipperFaxNumber','Shipper Fax Number','The fax number to use for your company for UPS shipments.','UPS', 'mediumValue',NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_shipperNumber','Shipper Number','Your UPS account number.','UPS', 'mediumValue',NULL,NULL,'XXXXXX',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_shipperCity','Shipper City','The city to use for your company for UPS shipments (required if country does not utilize postal codes).','UPS', 'mediumValue',NULL,NULL,'Your City',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_shipperStateCode','Shipper State Code','The state code to use for your company for UPS shipments (required if country utilizes postal codes).','UPS', 'mediumValue',NULL,NULL,'ST',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_shipperPostalCode','Shipper Postal Code','The postal code to use for your company for UPS shipments (required if country utilizes postal codes).','UPS', 'mediumValue',NULL,NULL,'000000',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_shipperCountryCode','Shipper Country Code','The country code to use for your company for UPS shipments.','UPS', 'mediumValue',NULL,NULL,'US',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_residentialAddressIndicator','Residential Address Indicator','A flag indicating if the receiver address is a residential location.','UPS', 'integerValue',2,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_shipFromCity','Senders City','The originating city for shipments (required if country does not utilize postal codes).','UPS', 'mediumValue',NULL,NULL,'City',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_shipFromStateCode','Senders State Code','The originating state code for shipments. Required if sending Ship From information.','UPS', 'mediumValue',NULL,NULL,'ST',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_shipFromPostalCode','Senders Postal Code','The originating postal code (required if country utilizes postal codes).','UPS', 'mediumValue',NULL,NULL,'000000',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_shipFromCountryCode','Senders Country Code','The originating country code of shipments.','UPS', 'mediumValue',NULL,NULL,'US',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_unitOfMeasurementCode','Unit of Measurement','The unit of weight measurement of the items in your store.','UPS', 'mediumValue',NULL,NULL,'LBS',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_packageCodeType','Package Code Type','The default package type used in your store. (May be overridden with the Shipping Rule Range pkgExtra1 field, by entering 01, 02, etc.)','UPS', 'mediumValue',NULL,NULL,'02',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_packageOversizePackage','Oversized Package','The default oversized package flag sent to UPS. (May be overridden with the Shipping Rule Range pkgExtra3 field, by entering 1, 2, or 3.)','UPS', 'mediumValue',NULL,NULL,'',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_useInsuredValue','Use Insured Value','Include the declared value when calling UPS for insured values. (May be overridden with the Shipping Rule Range pkgExtra4 field, by entering 1 for true or 0 for false.)','UPS', 'mediumValue',NULL,NULL,'Yes',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_insuredValueCurrencyCode','Insured Value Currency Code','The currency code for the insured value. Example: USD','UPS', 'mediumValue',NULL,NULL,'USD',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_rateInformationNegotiatedRatesIndicator','Negotiated Rates Indicator','If true, and the shipper is qualified, Negotiated Rates will be displayed to customers.','UPS', 'mediumValue',NULL,NULL,'Yes',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_packageUseDimensions','Use Package Dimensions','If true, a width, length, and height will be sent to UPS in addition to weight. (May be overridden with the Shipping Rule Range pkgExtra2 field, by entering 1 for true or 0 for false.)','UPS', 'mediumValue',NULL,NULL,'No',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_getRatesError','Get Rates Error','The error message shown to users when having trouble contacting UPS.','UPS', 'textValue',NULL,NULL,NULL,'Error getting rates from UPS.  Please contact administrator with error code.');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_packageDimensionsUomCode','Package Dimensions Unit of Measurement','The unit of measurement for the dimensionas of items in your store.','UPS', 'mediumValue',NULL,NULL,'IN',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_packageDimensionsLength','Default package length','The default package length for UPS.','UPS', 'mediumValue',NULL,NULL,'1',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_packageDimensionsHeight','Default package height','The default package height for UPS.','UPS', 'mediumValue',NULL,NULL,'2',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_packageDimensionsWidth','Default package width','The default package width for UPS.','UPS', 'mediumValue',NULL,NULL,'3',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_extraCharge','Extra Charge','An amount to add to the value of each of the rates returned by U.P.S. (e.g., as a handling charge).','UPS', 'smallValue',NULL,'0.00',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_extraWeight','Extra Weight','The amount of weight to add to each shipment for packaging materials, on top of the weight of the products in the order. If weights are not defined for the products in the store, this value will be used as the weight for all shipments.','UPS', 'smallValue',NULL,'1.00',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('UPS_maxPackageWeight','Max Package Weight','The maximum package weight allowed by UPS. The system will forcefully cap the weight sent to UPS for each package at this amount to avoid errors retrieving the rates from UPS.','UPS', 'smallValue',NULL,'150',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('uspsURL','USPS URL','The URL to the U.S. Postal Service rate service. As of this writing, their live server URL is <strong>http://production.shippingapis.com/ShippingAPI.dll</strong> and their test server URL is <strong>http://testing.shippingapis.com/ShippingAPITest.dll</strong>.','USPSSHIPPING','mediumValue',NULL,NULL,'http://production.shippingapis.com/ShippingAPI.dll',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('uspsUser','USPS User Name','The U.S. Postal Service user name you acquired from the U.S. Postal Service website to use when connecting to the rate service.','USPSSHIPPING','smallValue',NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('uspsZIPOrigin','USPS Origin ZIP Code','The ZIP code of the address that originates all U.S. Postal Service shipments for the store.','USPSSHIPPING','smallValue',NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('uspsContainerSize','USPS Container Size','The size of the container for the U.S. Postal Service to use when calculating rates. Note: if dimensions have been defined, the system will override this selection with the actual value of the length plus girth.','USPSSHIPPING','smallValue',NULL,'REGULAR',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('uspsMachinable','USPS Machinable?','Are the U.S. Postal Service packages machinable (i.e. can they be processed on automated equipment)?','USPSSHIPPING','integerValue',0,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('USPS_Destination','USPS Destination Countries','Should the system retrieve U.S. Postal Service rates for Domestic (USA) orders, International orders, or both?',
'USPSSHIPPING','mediumValue',NULL,NULL,'01,02',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('uspsDomesticServices','USPS Domestic Shipment Types','Select which services customer should see live rates for.',
'USPSSHIPPING','mediumValue',NULL,NULL,'00,01,03,04',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('uspsIntlServices','USPS International Shipment Types','Select which services customer should see live rates for.',
'USPSSHIPPING','mediumValue',NULL,NULL,'15,04,01,02',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('uspsExtraCharge','Extra Charge','An amount to add to the value of each of the rates returned by U.S.P.S. (e.g., as a handling charge).','USPSSHIPPING', 'smallValue',NULL,'0.00',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('uspsExtraWeight','Extra Weight','The amount of weight to add to each shipment for packaging materials, on top of the weight of the products in the order. If weights are not defined for the products in the store, this value will be used as the weight for all shipments.','USPSSHIPPING', 'smallValue',NULL,'1.00',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('USPS_PackageUseDimensions',
	     'Use Package Dimensions',
	     'If true, a width, length, and height will be sent to U.S.P.S. in addition to weight for domestic rate requests. (May be overridden with the Shipping Rule Range pkgExtra2 field, by entering 1 for true or 0 for false.)',
'USPSSHIPPING','mediumValue',NULL,NULL,'false',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('USPS_PackageDimensionsLength','Default package length','The default package length for USPS, when not defined for the package by a Shipping Rule.',
'USPSSHIPPING','mediumValue',NULL,NULL,'0',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('USPS_PackageDimensionsWidth','Default package width','The default package width for USPS, when not defined for the package by a Shipping Rule.',
'USPSSHIPPING','mediumValue',NULL,NULL,'0',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('USPS_PackageDimensionsHeight','Default package height','The default package height for USPS, when not defined for the package by a Shipping Rule.',
'USPSSHIPPING','mediumValue',NULL,NULL,'0',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('USPS_PackageDimensionsGirth','Default package girth','The default package girth for USPS. Leave blank or 0 to have girth calculated from the default width, height, and length.',
'USPSSHIPPING','mediumValue',NULL,NULL,'0',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('USPS_PackageUseInsurance',
	     'Add Insurance Cost?',
	     'If true, insurance cost will added to shipping cost (only for international deliveries). If false, no insurance cost will be sent.',
'USPSSHIPPING','mediumValue',NULL,NULL,'false',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('USPS_PackageMinimumInsuranceValue','Minimum Insurance Value','If an insurance cost is sent for international deliveries and the order subtotal is less than this value, then this value will be sent instead.',   
'USPSSHIPPING','mediumValue',NULL,NULL,'0',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('stripEstimatedDeliveryDaysFromUSPSMethodName','Strip Estimated Delivery Days From USPS Method Names','Priority Mail and Priority Mail Express show an estimated delivery time (1-DAY, 2-DAY, or 3-DAY) by default from USPS. These estimates can be stripped out of the method names with this setting.','USPSSHIPPING', 'booleanValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExURL','FedEx URL','The URL to the FedEX online service. Use https://gatewaybeta.fedex.com:443/web-services for their test server, and https://gateway.fedex.com:443/web-services for their live server.','FEDEX', 'mediumValue',NULL,NULL,'https://gatewaybeta.fedex.com:443/web-services',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExAccountNumber','FedEx Account Number','Your FedEx account number (without hyphens).','FEDEX', 'smallValue',NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExMeterNumber','FedEx Meter Number','Your FedEx meter number, provided by FedEx when you subscribe to the online service.','FEDEX', 'smallValue',NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExAPIKey','FedEx API Key','Your FedEx API key, provided by FedEx when you subscribe to the online service.','FEDEX', 'smallValue',NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExPassword','FedEx Password','Your FedEx Password, provided by FedEx when you subscribe to the online service.','FEDEX', 'smallValue',NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExServiceOptionNames','FedEx Service Names','Comma separated list of names for all the service options available with FedEx.','FEDEX', 'textValue',NULL,NULL,NULL,'Priority Overnight, Standard Overnight, First Overnight, FedEx 2-Day, FedEx Express Saver, International Priority, International Economy, International First, FedEx 1-Day Freight, FedEx 2-Day Freight, FedEx 3-Day Freight, FedEx Ground, FedEx Ground Home Delivery, FedEx Freight, FedEx National Freight, International Ground, International Economy Freight, International Priority Freight, Europe First International Priority, Smart Post');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExServiceOptions','FedEx Service Options','Comma separated list of all the service options available with FedEx.','FEDEX', 'textValue',NULL,NULL,NULL,'PRIORITY_OVERNIGHT, STANDARD_OVERNIGHT, FIRST_OVERNIGHT, FEDEX_2_DAY, FEDEX_EXPRESS_SAVER, INTERNATIONAL_PRIORITY, INTERNATIONAL_ECONOMY, INTERNATIONAL_FIRST, FEDEX_1_DAY_FREIGHT, FEDEX_2_DAY_FREIGHT, FEDEX_3_DAY_FREIGHT, FEDEX_GROUND, GROUND_HOME_DELIVERY, FEDEX_FREIGHT, FEDEX_NATIONAL_FREIGHT, INTERNATIONAL_GROUND, INTERNATIONAL_ECONOMY_FREIGHT, INTERNATIONAL_PRIORITY_FREIGHT, EUROPE_FIRST_INTERNATIONAL_PRIORITY, SMART_POST');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExService','FedEx Service','Defines which shipping options are displayed for the customer.', 'FEDEX', 'textValue',NULL,NULL,NULL,'PRIORITY_OVERNIGHT, STANDARD_OVERNIGHT, FIRST_OVERNIGHT, FEDEX_2_DAY, FEDEX_EXPRESS_SAVER, FEDEX_GROUND, INTERNATIONAL_PRIORITY, INTERNATIONAL_ECONOMY');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExOriginAddressStateOrProvinceCode','FedEx Origin State Or Province Code','The state or province code of the origin address for shipments.','FEDEX', 'smallValue',NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExOriginAddressPostalCode','FedEx Origin Postal Code','The postal code of the origin address for shipments.','FEDEX', 'smallValue',NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExOriginAddressCountryCode','FedEx Origin Country Code','The country code of the origin address for shipments.','FEDEX', 'smallValue',NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExShowListPrices','FedEx Show List Prices?','If true, the shipping rates displayed to customers will be the retail or list prices rather than the discounted rates for your FedEx account.','FEDEX', 'booleanValue',0,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExDropoffType','FedEx Drop off Type','For FedEx Express only, select the method of drop off.','FEDEX', 'smallValue',NULL,'REGULAR_PICKUP',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExPackaging','FedEx Packaging','Select the style of packaging to be used for FedEx shipments.','FEDEX', 'smallValue',NULL,'YOUR_PACKAGING',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExResidence','Is Ship to Address Residential?','Whether rates should reflect that the shipment goes to a residence.','FEDEX', 'smallValue',NULL,'ORGANIZATION_FIELD',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExSignatureOption','FedEx Signature Option','Optional. The signature option to be used for FedEx rate requests.','FEDEX', 'smallValue',NULL,'NO_SIGNATURE_REQUIRED',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExExtraDeliveryDays','FedEx Extra Delivery Days','If delivery dates are shown to customers, the number of additional days to add to the shipping date sent to FedEx (to cover internal handling).','FEDEX', 'integerValue',0,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExExtraDeliveryHours','FedEx Extra Delivery Hours','If delivery dates are shown to customers, the number of additional hours to add to the shipping date sent to FedEx (to cover internal handling). For example, if items ship the next day if the order is received after 3pm, set this to 9 to push it past midnight to the next day.','FEDEX', 'integerValue',0,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExExtraCharge','FedEx Extra Charge','An amount to add to the value of each of the rates returned by FedEx.','FEDEX', 'smallValue',NULL,'0.00',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExExtraWeight','FedEx Extra Weight','The amount of weight to add to each package for packaging materials, on top of the weight of the products in the order. If weights are not defined for the products in the store, this value will be used as the weight for all packages.','FEDEX', 'integerValue',1,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExDefaultLength','FedEx Default Length','Optional. If defined and greater than zero, the value of this setting will be used as the length of the package for each FedEx rate request (applies if Your Packaging is set as the package type).','FEDEX', 'integerValue',0,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExDefaultWidth','FedEx Default Width','Optional. If defined and greater than zero, the value of this setting will be used as the width of the package for each FedEx rate request (applies if Your Packaging is set as the package type).','FEDEX', 'integerValue',0,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExDefaultHeight','FedEx Default Height','Optional. If defined and greater than zero, the value of this setting will be used as the height of the package for each FedEx rate request (applies if Your Packaging is set as the package type).','FEDEX', 'integerValue',0,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExWeightUnits','FedEx Weight Unit','Are the weight amounts measured in pounds or kilograms? Must be pounds for U.S. FedEx Express rate quotes.','FEDEX', 'smallValue',NULL,'LB',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedExDimensionsUnits','FedEx Dimension Unit','Are dimension amounts measured in inches or centimeters. Must be inches for a U.S. FedEx Express rate quote.','FEDEX', 'smallValue',NULL,'IN',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedexSmartPostIndiciaType','FedEx Smart Post Indicia Type','The Indicia type for FedEx SmartPost. Possible values are MEDIA_MAIL, PARCEL_RETURN, PARCEL_SELECT, PRESORTED_BOUND_PRINTED_MATTER, or PRESORTED_STANDARD.','FEDEX','mediumValue',NULL,NULL,'PARCEL_SELECT',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fedexSmartPostHubId','FedEx Smart Post Hub Id','The HubId for FedEx SmartPost. For a list of valid values, visit <a target=new href=http://www.fedex.com/us/developer/product/WebServices/MyWebHelp/Transactions/WS/r_SmartPostRequestElements.html>this page on fedex.com</a>.','FEDEX','mediumValue',NULL,NULL,'5303',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('enableFedExAddressValidation','Enable FedEx Address Validation?','If true and the Account Number, Meter Number, API Key, and Password have been defined, the system will validate delivery addresses with FedEx as each customer goes through checkout. If the validation fails, the customer is asked to correct the delivery address. NOTE: the FedEx development environment does not support address validation. The Account Number above must be for a live, production FedEx account.','FEDEX','booleanValue',0,NULL,NULL,NULL);
