ALTER TABLE sscSetting CHANGE COLUMN description description TEXT;

ALTER TABLE sscManufacturer ADD COLUMN isDropShipper TINYINT(4) DEFAULT '0';
ALTER TABLE sscManufacturer ADD COLUMN address1 VARCHAR(255);
ALTER TABLE sscManufacturer ADD COLUMN address2 VARCHAR(255);
ALTER TABLE sscManufacturer ADD COLUMN city VARCHAR(100);
ALTER TABLE sscManufacturer ADD COLUMN state VARCHAR(100);
ALTER TABLE sscManufacturer ADD COLUMN postalCode VARCHAR(100);
ALTER TABLE sscManufacturer ADD COLUMN country VARCHAR(100);
ALTER TABLE sscManufacturer ADD COLUMN phone VARCHAR(100);
ALTER TABLE sscManufacturer ADD COLUMN email VARCHAR(100);

ALTER TABLE sscOrderItem ADD COLUMN manufacturerID INT;

ALTER TABLE sscDiscount ADD COLUMN cartItemsType VARCHAR(32);
ALTER TABLE sscDiscount ADD COLUMN cartItemsValue VARCHAR(255);

ALTER TABLE sscOrderDiscount ADD COLUMN cartItemsType VARCHAR(32);
ALTER TABLE sscOrderDiscount ADD COLUMN cartItemsValue VARCHAR(255);

ALTER TABLE sscOrder ADD COLUMN shippingMethod VARCHAR(255);
UPDATE sscOrder SET shippingMethod = (SELECT MIN(statusDetails) FROM sscOrderDelivery WHERE sscOrder.orderID = sscOrderDelivery.orderID);

ALTER TABLE sscOrderItem ADD COLUMN costTotal DECIMAL(10,4) DEFAULT 0;
ALTER TABLE sscOrderItemAttribute ADD COLUMN costTotal DECIMAL(10,4) DEFAULT 0;
