<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start heading.jsp -->

<%-- The main title for the page at the top of the body of the page. --%>
<c:if test="${!empty requestScope.pageTitle}">
	<h1 class="administratorHeader"><c:out value="${requestScope.pageTitle}" escapeXml="false"/></h1>
</c:if>

<%-- The tabbed links for a given entity's details. Eg. Overview, Details, Attributes, Category, etc. for products. --%>
<c:if test="${!empty pageDirectoryAndPrefix}">
	<ssc:insert page="/WEB-INF/templates/administrator/default/${pageDirectoryAndPrefix}Links.jsp"/>
</c:if>

<c:choose>

	<%-- Some pages such as Inventory Settings under a given product, have a secondary tabbed menu directly under the main one. --%>
	<c:when test="${!empty pageChildTitle and !empty moreSubNavigation}">
		<c:set var="childSubNavigation" scope="request" value="${moreSubNavigation}"/>
		<ssc:insert page="/WEB-INF/templates/administrator/default/core/childSubNavigation.jsp" />
		<h2 class="administratorHeader"><c:out value="${requestScope.pageChildTitle}" escapeXml="false"/></h2>
	</c:when>
	
	<%-- The secondary title and menu for child pages such as Product -> Product Details -> Attributes -> Attribute Details. --%>
	<c:when test="${!empty pageChildTitle}">
		<h2 class="administratorHeader"><c:out value="${requestScope.pageChildTitle}" escapeXml="false"/></h2>
		<ssc:insert page="/WEB-INF/templates/administrator/default/core/childSubNavigation.jsp" />
	</c:when>
</c:choose>
<!-- End heading.jsp -->
