<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<bean:define id="administratorURL" name="settings" property="value(administratorURL)" />

<!-- Start userSettingEditForm.jsp -->
<html:form action="/UserSettingEdit" method="post">
	<html:hidden name="userSettingAddEditForm" property="settingID" />
	<table class="addEditTable settingsTable">
		<ssc:insert attribute="formGuts" />
	</table>
	<c:if test="${editPermission eq 'true'}">
		<div class="adminAddEditButton">
			<input type="submit" class="button" name="editProductSubmit" value="<bean:message key="administrator.saveSettings" bundle="/administrator/administrator"/>" />
		</div>
	</c:if>
</html:form>
<c:if test="${editPermission eq 'true'}">
<form name="userSettingDeleteForm" class="adminDeleteButton" action="<%=administratorURL%>/UserSettingDelete.do" method="post">
	<input type="hidden" name="settingID" value="<c:out value="${userSettingAddEditForm.settingID}" />" />
	<input type="hidden" name="code" value="<c:out value="${userSettingAddEditForm.code}" />" />
	<input type="submit" onclick="return confirm('<bean:message key="administrator.confirmDelete" bundle="/administrator/administrator"/>')" class="button" name="deleteProductSubmit"
		value="<bean:message key="administrator.delete" bundle="/administrator/administrator"/>" />
	</form>
</c:if>

<!-- End userSettingEditForm.jsp -->
