<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start templateEditForm.jsp -->
<html:form action="/TemplateEdit" method="post">
	<html:hidden name="templateAddEditForm" property="templateID" />
	<logic:equal name="editPermission" value="true">
		<div class="adminAddEditButtonTop">
			<input type="submit" class="button" name="editProductSubmit" value="<bean:message key="administrator.saveSettings" bundle="/administrator/administrator"/>" />
		</div>
	</logic:equal>
	<table class="addEditTable settingsTable">
		<tr>
			<td class="property setting">Template ID:</td>
			<td class="value">
				<html:hidden name="templateAddEditForm" property="templateID"/>
				<c:out value="${templateAddEditForm.templateID}"/>
			</td>
		</tr>
		<ssc:insert attribute="formGuts" />
	</table>
	<logic:equal name="editPermission" value="true">
		<div class="adminAddEditButton">
			<input type="submit" class="button" name="editProductSubmit" value="<bean:message key="administrator.saveSettings" bundle="/administrator/administrator"/>" />
		</div>
	</logic:equal>
</html:form>
<logic:equal name="editPermission" value="true">
	<form name="templateDeleteForm" class="adminDeleteButton" action="<c:out value="${settings.map.administratorURL}"/>/TemplateDelete.do" method="post">
		<input type="hidden" name="templateID" value="<bean:write name="templateAddEditForm" property="templateID" />" />
		<input type="submit" onclick="return confirm('<bean:message key="administrator.confirmDelete" bundle="/administrator/administrator"/>')" class="button" name="deleteProductSubmit"
			value="<bean:message key="administrator.delete" bundle="/administrator/administrator"/>" />
	</form>
</logic:equal>

<br/><br/>
<h2 class="administratorHeader">Create an Email Using this Template</h2>
<form name="emailAddForm" class="extraForm adminContainer" action="<c:out value="${settings.map.administratorURL}"/>/EmailAddFromTemplate.do" method="post">
	Order Number: <input type="number" name="orderNumber"/>
	<input type="hidden" name="templateID" value="${template.templateID}"/>
	<input type="hidden" name="subject" value="${template.subject}"/>
	<input type="hidden" name="type" value="ManuallyTriggered-${template.code}"/>
	<input type="hidden" name="status" value="Unattempted"/>
	<input type="submit" class="button" name="action" value="Create Email" />
	&nbsp;&nbsp;&nbsp;&nbsp;
	<input type="submit" class="button" name="action" value="Create And Send Email" />
</form>


<!-- End templateEditForm.jsp -->
