<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start orderDiscountFormGuts.jsp -->
<c:set var="orderItems" value="${order.orderItemCollection}"/>
<html:hidden name="orderDiscountAddEditForm" property="orderID"/>
<tr>
	<td class="genericLabel">Discount Code:</td>
	<td>
		<html:text maxlength="100" name="orderDiscountAddEditForm" property="code"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Discount Name:</td>
	<td>
		<html:text maxlength="255" name="orderDiscountAddEditForm" property="name"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Discount ID:</td>
	<td>
		<html:text size="10" maxlength="9" name="orderDiscountAddEditForm" property="discountID"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Order Item:</td>
	<td>
		<html:select name="orderDiscountAddEditForm" property="orderItemID">
			<logic:empty name="orderDiscountAddEditForm" property="orderItemID">
				<option value="0" selected="selected">[Global]</option>
			</logic:empty>
			<logic:notEmpty name="orderDiscountAddEditForm" property="orderItemID">
				<option value="0">[Global]</option>
			</logic:notEmpty>
			<html:options collection="orderItems" property="orderItemID" labelProperty="code" />
		</html:select>
	</td>
</tr>
<tr>
	<td class="genericLabel">Total:</td>
	<td>
		<html:text size="10" maxlength="9" name="orderDiscountAddEditForm" property="total"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Items Type:</td>
	<td>
		<html:select name="orderDiscountAddEditForm" property="itemsAppliesType" styleClass="genericGridData">
			<html:option value="[global]">Global</html:option>
			<html:option value="[giftCertificate]">Gift Certificate</html:option>
			<html:option value="[shipping]">Shipping</html:option>
			<html:option value="[skus]">SKUs</html:option>
		</html:select>
	</td>
</tr>
<tr>
	<td class="genericLabel">Items Value:</td>
	<td>
		<html:text maxlength="255" name="orderDiscountAddEditForm" property="itemsAppliesValue"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Reward Type:</td>
	<td>
		<html:select name="orderDiscountAddEditForm" property="rewardType" styleClass="genericGridData">
			<html:option value="[percentage]">Percentage</html:option>
			<html:option value="[amount]">Amount</html:option>
			<html:option value="[itemsForFree]">Items for Free</html:option>
			<html:option value="[shipping]">Free Shipping</html:option>
			<html:option value="[rangeByQuantity]">Range By Quantity</html:option>
			<html:option value="[rangeByPrice]">Range By Price</html:option>
		</html:select>
	</td>
</tr>
<tr>
	<td class="genericLabel">Reward Value:</td>
	<td>
		<html:text size="10" maxlength="10" name="orderDiscountAddEditForm" property="reward"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Users Type:</td>
	<td>
		<html:select name="orderDiscountAddEditForm" property="usersAppliesType" styleClass="genericGridData">
			<html:option value="[allUsers]">All Users</html:option>
			<html:option value="[loggedIn]">Logged In Customers</html:option>
			<html:option value="[userNames]">User Names</html:option>
			<html:option value="[customerStatuses]">Customer Statuses</html:option>
			<html:option value="[previousOrderTotal]">Total of Previous Orders</html:option>
		</html:select>
	</td>
</tr>
<tr>
	<td class="genericLabel">Users Value:</td>
	<td>
		<html:text maxlength="255" name="orderDiscountAddEditForm" property="usersAppliesValue"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Cart Items Type:</td>
	<td>
		<html:select name="orderDiscountAddEditForm" property="cartItemsType" styleClass="genericGridData">
			<html:option value="[noItemsRequired]">No Items Required</html:option>
			<html:option value="[anyOneItem]">Any One of the Items Required</html:option>
			<html:option value="[allItems]">All Items Required</html:option>
		</html:select>
	</td>
</tr>
<tr>
	<td class="genericLabel">Cart Items Value:</td>
	<td>
		<html:text maxlength="255" name="orderDiscountAddEditForm" property="cartItemsValue"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Coupon Code:</td>
	<td>
		<html:text maxlength="255" name="orderDiscountAddEditForm" property="couponCode"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Floor:</td>
	<td>
		<html:text size="10" maxlength="9" name="orderDiscountAddEditForm" property="floor"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Ceiling:</td>
	<td>
		<html:text size="10" maxlength="9" name="orderDiscountAddEditForm" property="ceiling"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Extra 1:</td>
	<td>
		<html:text maxlength="255" name="orderDiscountAddEditForm" property="extra1"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Extra 2:</td>
	<td>
		<html:text maxlength="255" name="orderDiscountAddEditForm" property="extra2"/>
	</td>
</tr>
<tr>
	<td class="genericLabel">Extra 3:</td>
	<td>
		<html:text maxlength="255" name="orderDiscountAddEditForm" property="extra3"/>
	</td>
</tr>
<!-- End orderDiscountFormGuts.jsp -->
