<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<bean:define id="administratorURL" name="settings" property="value(administratorURL)"/>
<bean:define id="customerURL" name="settings" property="value(customerURL)"/>

<!-- Start productLinks.jsp -->
<ul class="adminLinks">
	<li<c:if test="${screen eq 'product.productOverviewLayout' }"> class="active"</c:if>>
		<a href="<%=response.encodeURL(administratorURL + "/ProductOverview.do")%>?productID=<c:out value="${product.productID}"/>">
			Overview
		</a>
	</li>
	<li<c:if test="${screen eq 'product.productEditFormLayout' }"> class="active"</c:if>>
		<a href="<%=response.encodeURL(administratorURL + "/ProductEditForm.do")%>?productID=<c:out value="${product.productID}"/>">
			Details
		</a>
	</li>
	<logic:present role="superuser,administrator,attributeView,attributeEdit">
	<li<c:choose><c:when test="${screen eq 'attribute.attributeLayout' 
					or screen eq 'attribute.attributeAddFormLayout'
					or screen eq 'attribute.attributeEditFormLayout'
					or screen eq 'product.optionLayout'
					 or screen eq 'product.optionAddFormLayout'
					 or screen eq 'product.optionEditFormLayout'}"> class="active"</c:when></c:choose>>
		<a href="<%=response.encodeURL(administratorURL + "/Attribute.do")%>?productID=<c:out value="${product.productID}"/>&assignments=assigned">
			Attributes
		</a>
	</li>
	</logic:present>
	<logic:present role="superuser,administrator,categoryView,categoryEdit">
	<li<c:if test="${screen eq 'product.categoryLayout' }"> class="active"</c:if>>
		<a href="<%=response.encodeURL(administratorURL + "/Category.do")%>?productID=<c:out value="${product.productID}"/>&assignments=assigned">
			Categories
		</a>
	</li>
	</logic:present>
	<li<c:if test="${screen eq 'product.productLayout' }"> class="active"</c:if>>
		<a href="<%=response.encodeURL(administratorURL + "/Product.do")%>?parentIDField=parentProductID&parentProductID=<c:out value="${product.productID}"/>&assignments=assigned">
			Related
		</a>
	</li>
	<logic:present role="superuser,administrator,skuView,skuEdit">
	<li<c:if test="${screen eq 'product.skuLayout'
					or screen eq 'product.skuAddFormLayout'
					or screen eq 'product.skuEditFormLayout' }"> class="active"</c:if>>
		<a href="<%=response.encodeURL(administratorURL + "/SKU.do")%>?parentIDField=productID&productID=<c:out value="${product.productID}"/>">
			SKUs
		</a>
	</li>
	</logic:present>
	<logic:present role="superuser,administrator,discountView,discountEdit">
	<li <c:if test="${screen eq 'product.discountLayout'
					or screen eq 'product.discountAddFormLayout'
					or screen eq 'product.discountEditFormLayout'
					or screen eq 'product.discountRangeLayout'
					or screen eq 'product.discountRangeEditFormLayout'
					or screen eq 'product.discountRangeAddFormLayout' }"> class="active"</c:if>>
		<a href="<%=response.encodeURL(administratorURL + "/Discount.do")%>?parentIDField=productID&productID=<c:out value="${product.productID}"/>&assignments=assigned">
			Discounts
		</a>
	</li>
	</logic:present>
	<li<c:if test="${screen eq 'product.productCloneFormLayout'
					or screen eq '/WEB-INF/templates/administrator/default/product/productSettingsGeneral.jsp'
					or screen eq '/WEB-INF/templates/administrator/default/product/productSettingsDownloads.jsp'
					or screen eq '/WEB-INF/templates/administrator/default/product/productSettingsDisplay.jsp'
					or screen eq '/WEB-INF/templates/administrator/default/product/productSettingsInventory.jsp'
					or screen eq '/WEB-INF/templates/administrator/default/product/productSettingsImages.jsp' }"> class="active"</c:if>>
		<a href="<%=response.encodeURL(administratorURL + "/ProductSettingsDisplay.do")%>?productID=<c:out value="${product.productID}"/>">
			More ...
		</a>
	</li>
</ul>
<!-- End productLinks.jsp -->
